maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Scholte (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (MJAVADOC-499) Ignore module-info.java on earlier Java versions
Date Sun, 25 Nov 2018 21:55:00 GMT

     [ https://issues.apache.org/jira/browse/MJAVADOC-499?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Robert Scholte closed MJAVADOC-499.
-----------------------------------
       Resolution: Fixed
    Fix Version/s: 3.0.2

Fixed as part of MJAVADOC-449, added an IT confirm this in [2138b0532caee02d7dc33d06e8414af791257438|https://gitbox.apache.org/repos/asf?p=maven-javadoc-plugin.git;a=commit;h=2138b0532caee02d7dc33d06e8414af791257438]

> Ignore module-info.java on earlier Java versions
> ------------------------------------------------
>
>                 Key: MJAVADOC-499
>                 URL: https://issues.apache.org/jira/browse/MJAVADOC-499
>             Project: Maven Javadoc Plugin
>          Issue Type: Improvement
>    Affects Versions: 3.0.0-M1
>            Reporter: Stephen Colebourne
>            Assignee: Robert Scholte
>            Priority: Major
>             Fix For: 3.0.2
>
>
> Versions of the javadoc tool prior to Java 9 cannot process `module-info.java`. The plugin
should automatically detect and exclude `module-info.java` if the javadoc tool is Java 8 or
earlier. The alternative (Java version specific profiles) does work, but is very verbose for
something that can never work (thus the plugin should deal with it)



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message